Luminar Neo - catalog take long to load photo

Answered

Comments

2 comments

  • Avatar
    Tania Taylor

    Hi Kamel CHERMI!

    I'm sorry to say that, but your processor AMD Ryzen™ 3 doesn't meet our tech requirements - https://skylum.com/luminar-neo (at the bottom of the page). Luminar Neo requires CPU Intel® Core™ i5 or better, AMD Ryzen™ 5 or better.

    There are several solutions to this situation: 

    Solution 1. Hardware upgrade.

    All the latest software puts increasingly high requirements for the hardware configuration of your computer. If you want to enjoy the latest and the most powerful software packages, a hardware upgrade might be in order.

    Solution 2. Another device. 

    Do you by any chance have another device that would fully meet our requirements? If so, you can install Luminar there. 

    Solution 3. Request a refund.

    If you'd rather prefer this option over the previous two, just send us an email to skylum.com/support, and we'll issue a refund at your earliest convenience.

     

    0
    Comment actions Permalink
  • Avatar
    Kamel CHERMI

    Hi Tania,

    Thank you so much for your reply. That what I was afraid too. I'm still able to develop the photo. So later maybe later I will upgrade my setup. 

    thanks

     

    0
    Comment actions Permalink

Please sign in to leave a comment.